export declare type AggregateOperatorType = 'max';
export interface AggregateOperatorArgs<T> {
    operator: AggregateOperatorType;
    value: T;
}
export declare class AggregateOperator<T> {
    readonly type = "aggregate";
    readonly operator: AggregateOperatorType;
    readonly value: T;
    constructor(args: AggregateOperatorArgs<T>);
    static isAggregateOperator(value: any): boolean;
}
