export declare type FindOperatorType = 'in' | 'not' | 'equal' | 'gt' | 'gte' | 'lt' | 'lte' | 'inverse';
export interface FindOperatorArgs<T> {
    operator: FindOperatorType;
    value: T | FindOperator<T>;
}
export declare class FindOperator<T> {
    readonly type = "operator";
    readonly operator: FindOperatorType;
    readonly value: T | FindOperator<T>;
    constructor(args: FindOperatorArgs<T>);
    static isFindOperator(value: any): boolean;
}
