"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.VariableGenerator = void 0;
const alphabet = [
    'a', 'b', 'c', 'd', 'e', 'f', 'g', 'h', 'i', 'j', 'k', 'l', 'm',
    'n', 'o', 'p', 'q', 'r', 's', 't', 'u', 'v', 'w', 'x', 'y', 'z',
];
class VariableGenerator {
    constructor() {
        this.currentVariable = [];
    }
    getNext() {
        const next = this.increaseByOne(this.currentVariable);
        this.currentVariable = next;
        return next.map((idx) => alphabet[idx]).join('');
    }
    increaseByOne(arr) {
        if (arr.length === 0) {
            return [0];
        }
        const first = arr[0];
        if (first === alphabet.length - 1) {
            return [0, ...this.increaseByOne(arr.slice(1))];
        }
        return [arr[0] + 1, ...arr.slice(1)];
    }
}
exports.VariableGenerator = VariableGenerator;
//# sourceMappingURL=VariableGenerator.js.map