export declare const sklNamespace = "https://skl.standard.storage/";
export declare const SKL: Record<"Verb" | "Noun" | "Mapping" | "Parameters" | "mappingSubject" | "VerbIntegrationMapping" | "NounInterfaceMapping" | "OpenApiDescription" | "Account" | "SecurityCredentials" | "InterfaceComponent" | "Folder" | "OpenApiSecuritySchemeVerb" | "NounMappedVerb" | "VerbNounMapping" | "JsonDataSource" | "Integration" | "StylingTheme" | "verb" | "account" | "integration" | "parameters" | "parameterMapping" | "returnValueMapping" | "operationMapping" | "verbMapping" | "openApiDescription" | "accessToken" | "refreshToken" | "apiKey" | "sourceId" | "returnValue" | "parametersContext" | "nodes" | "sourceUrl" | "interface" | "noun" | "propertiesMapping" | "styling" | "designTokens" | "iterate" | "iterateItemAccessor" | "clientId" | "IntegrationSyncConfiguration" | "syncStepDefaultArgs" | "syncSteps" | "TokenPaginatedCollection" | "PaginatedCollection" | "File" | "Event" | "schemeName" | "oauthFlow" | "stage" | "operationId" | "returnValueFrame" | "clientSecret" | "invalidTokenErrorMatcher" | "getOauthTokens" | "records" | "mapping" | "overrideBasePath" | "dataSource" | "data" | "source", string>;
export declare const XSD: Record<"string" | "boolean" | "integer" | "double" | "decimal" | "float" | "positiveInteger" | "negativeInteger" | "int" | "date" | "time" | "dateTime", string>;
export declare const RDF: Record<"type" | "first" | "rest" | "datatype" | "JSON", string>;
export declare const RDFS: Record<"subClassOf" | "label" | "range", string>;
export declare const OWL: Record<"Restriction" | "onProperty" | "allValuesFrom" | "Class" | "intersectionOf" | "someValuesFrom" | "ObjectProperty", string>;
export declare const SHACL: Record<"targetClass" | "targetNode", string>;
export declare const SCHEMA: Record<"Event", string>;
export declare const DCTERMS: Record<"created" | "modified", string>;
